Life events
The life events resource is used to track notable events which occur in a member's life.
Life event object
{
"id": "019f3d31-4adc-74ab-9f5c-0f739d0e4204",
"tenant": "01988bb8-1cfb-7c87-9326-93op0349288e",
"member": "01993393-9747-7e6e-8322-498f9666bae9",
"type": "019f3d18-2e77-7a6a-96fc-jw4zf7n6s8gq",
"date_from": "2026-07-02",
"date_to": null,
"sentiment": 2,
"impact": 1,
"notes": null,
"meta": null,
"archived_at": null,
"created_at": "2026-07-07 15:27:48",
"updated_at": "2026-07-08 16:05:27"
}
Fields
- idrequired readonly stringUnique ID of the record.
- tenantrequired readonly stringUnique ID of the tenant.
- memberrequired stringUnique ID of the member.
- typerequired stringUnique ID of the life event type.
- date_fromrequired stringDate of when the life event began.
- date_tonullable stringDate of when the life event ended. This value must be greater than or equal to
date_from. - sentimentnullable integerMember's feeling regarding this event. One of:
1: Very negative2: Somewhat negative3: Neutral/mixed4: Somewhat positive5: Very positive
- impactnullable integerOverall impact this event had on the member's life. One of:
1: Low2: Medium3: High
- notesnullable stringAdditional notes regarding the life event.
- metanullable objectAdditional metadata regarding the life event.
- archived_atnullable stringUTC timestamp of when the record was archived.
- created_atrequired readonly stringUTC timestamp of when the record was created.
- updated_atnullable readonly stringUTC timestamp of when the record was last updated.
Create a life event
POST /tenants/{tenantId}/life-events
The request body must include a life event object.
Required permissions
life_events:create members:read life_event_types:read
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 201 | Created | Successfully created | Life event object |
| 400 | Bad Request | Invalid or missing field(s) | Error object |
| 404 | Not Found | Tenant not found | Error object |
List life events
GET /tenants/{tenantId}/life-events
Required permissions
life_events:read members:read life_event_types:read
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 200 | OK | An associative array of life event objects | |
| 400 | Bad Request | Invalid parameters in the request query | Error object |
| 404 | Not Found | Tenant not found | Error object |
Read a life event
GET /tenants/{tenantId}/life-events/{id}
Required permissions
life_events:read members:read life_event_types:read
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 200 | OK | Life event object | |
| 400 | Bad Request | Invalid parameters in the request query | Error object |
| 404 | Not Found | Tenant or life event ID not found | Error object |
Update a life event
PATCH /tenants/{tenantId}/life-events/{id}
The request body must include parts of a life event object.
Required permissions
life_events:update members:read life_event_types:read
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 200 | OK | Updated life event record | Life event object |
| 400 | Bad Request | Invalid or missing field(s) | Error object |
| 404 | Not Found | Tenant or life event ID not found | Error object |
Delete a life event
DELETE /tenants/{tenantId}/life-events/{id}
Required permissions
life_events:delete
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 204 | No content | Successfully deleted | |
| 404 | Not Found | Tenant ID not found | Error object |
Was this page helpful?